不兼容惹的祸,Calibre 作者拒绝迁移至 Python 3

王练
 王练
发布于 2018年11月22日
收藏 7

开源电子书管理器 Calibre 的作者 Kavid Goyal 近日公开了自己在 2017 年对用户要求升级至 Python 3 的回应,以表明 Calibre 不会直接迁移至 Python 3 的态度。

2017年8月,有用户提交反馈称由于 Python 2 将于2020年停止支持,Calibre 需要升级为 Python 3 。Kavid Goyal 将该问题的状态更改为“不会修复”,并回应道:“没有必要,我完全有能力自己维护 Python 2 。这样做的工作量比考虑迁移整个代码库要少得多。”

随着前几个月 Guido van Rossum 对 Python 2.7 将于2020年1月1日终止支持的证实,Calibre 再次收到了不少要求升级的需求,因此 Kavid Goyal 选择将之前的回应公开,以作统一回复。

此外,Kavid Goyal 在 GitHub 上补充道,“我的目标是以与 Python 2 相同的方式在 Python 3 上运行 Calibre 的代码。计划在2019年底或最迟在2020年年初,完全兼容 Python 3 。”

Python 3.0 发布至今已有十年,许多软件和项目已完成迁移。但由于不向后兼容,也有部分开发者选择不去跟进。

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:不兼容惹的祸,Calibre 作者拒绝迁移至 Python 3
加载中

精彩评论

一位极其不愿意透漏姓名的马先生
一位极其不愿意透漏姓名的马先生
没有必要,我完全有能力自己维护 Python 2
Mayeff
Mayeff
大佬就是不一样
yeahlife
yeahlife
再逼大佬,大佬,又造语言了
g
gm100861
欢迎大佬加入java阵营, 你10年前写的代码,在最新版本的java上依旧可以运行.彻底解决兼容性问题.
fy0
fy0
不融入时代,最终就会被抛弃

最新评论(13

yeahlife
yeahlife
再逼大佬,大佬,又造语言了
没有头像也是一种帅
没有头像也是一种帅
落后就要挨打
爽歪歪ES
据说python 4.0 的api还会再换一遍的哟
g
gm100861
欢迎大佬加入java阵营, 你10年前写的代码,在最新版本的java上依旧可以运行.彻底解决兼容性问题.
奔梦飞扬
奔梦飞扬
没有必要,我完全有能力自己维护 Python 2
fy0
fy0
不融入时代,最终就会被抛弃
Chiroc
Chiroc
牛人就是用什么都无所谓,反正老子最厉害:ox:
皇虫
皇虫
calibre非常好用
一位极其不愿意透漏姓名的马先生
一位极其不愿意透漏姓名的马先生
没有必要,我完全有能力自己维护 Python 2
Mayeff
Mayeff
大佬就是不一样
返回顶部
顶部